summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-i18n/man-pages-de/Manifest1
-rw-r--r--app-i18n/man-pages-de/man-pages-de-2.9.ebuild66
2 files changed, 67 insertions, 0 deletions
diff --git a/app-i18n/man-pages-de/Manifest b/app-i18n/man-pages-de/Manifest
index 8871e42cadab..aa0551bdab8f 100644
--- a/app-i18n/man-pages-de/Manifest
+++ b/app-i18n/man-pages-de/Manifest
@@ -2,3 +2,4 @@ DIST manpages-de-1.15.tar.xz 1529576 BLAKE2B 600d9c186ffa46fd1db110c3889abc44bb6
DIST manpages-de-1.21.tar.xz 1585600 BLAKE2B f2364e0b5fc1ca8ce8f5eb7fa5987d1bc68b1f8f2c1a26240d5cabd03eb5bb094f0d63274c7208059a766498f5f20ca7ccab72a9d4847057aae3b7d6697018e7 SHA512 24cc36e8e9c2efb8cd2a0c374a3f5da96f6645a306082cc28aae5933081f7de24bac03652f690a2becd32a23a93c17ddd9029190c299dda95eeb25f49b327fac
DIST manpages-de-2.3.tar.xz 7016372 BLAKE2B 3b89049d11bfd539e9114de38198f610145972068c9cec1da1b6398fb1d3e846b112ca0336891c1782a6fb142f397ac472ad78be0596503377318bfe65ec68d2 SHA512 abc3574c4a315d86b4fcccb25d617851c1ff43844fc7b1b92d7849a098280a96ab73d4986047fe6bb18e8f11d391182370eff9db476e0dd2021d0725b4e945eb
DIST manpages-de-v2.5.tar.bz2 8744190 BLAKE2B 06b9f970e652892edda6079bd4b912b2272652b5060a0d7a7c3dcd074f2ac71730800a077b7aa4d5175fb44723a60642e39c1bf81ecc731dcadb0ab703461df9 SHA512 3bf5f794ec9a1036f0fdcbea6afc03fd845f42b83c928116e4f47980060b3dcedfb25cd4330a60cc3da7f573d73a50e61ccb6a681979fcc6bfb63b882de1fd20
+DIST manpages-de-v2.9.tar.bz2 9148970 BLAKE2B 39d5c781f7a81733a3b264c92fa9d7615bbb28841fe67000f8188424619bc83323439c6f5c752b567937f2d50b8dba4a8f3959c2524dbe027ba9fc283be97f9a SHA512 32a6979bf394cb490d33e9c2ce2e94b80a442043551747dc88fd05096785766c01887de6b6fb6858beaa31491a3d4cc8194fdd4284aec32002536f3bc92ebe40
diff --git a/app-i18n/man-pages-de/man-pages-de-2.9.ebuild b/app-i18n/man-pages-de/man-pages-de-2.9.ebuild
new file mode 100644
index 000000000000..f12feaf49d11
--- /dev/null
+++ b/app-i18n/man-pages-de/man-pages-de-2.9.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+MY_P="${PN/-/}-v${PV}"
+
+DESCRIPTION="A somewhat comprehensive collection of Linux german man page translations"
+HOMEPAGE="https://salsa.debian.org/manpages-de-team/manpages-de"
+SRC_URI="https://salsa.debian.org/manpages-de-team/manpages-de/-/archive/v${PV}/${MY_P}.tar.bz2"
+
+LICENSE="GPL-3+ man-pages GPL-2+ GPL-2 BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE=""
+
+RDEPEND="virtual/man"
+DEPEND="app-text/po4a"
+
+S=${WORKDIR}/${MY_P}
+
+src_unpack() {
+ default
+
+ # sys-apps/shadow has it's own translated man-page for this
+ rm "${S}/upstream/primary/man1/groups.1" || die
+ rm "${S}/po/primary/man1/groups.1.po" || die
+}
+
+src_prepare() {
+ default
+
+ # Use the same compression as every other manpage
+ local PORTAGE_COMPRESS_LOCAL=${PORTAGE_COMPRESS-bzip2}
+ local PORTAGE_COMPRESS_FLAGS_LOCAL=${PORTAGE_COMPRESS_FLAGS}
+ if [[ ${PORTAGE_COMPRESS_FLAGS+set} != "set" ]] ; then
+ case ${PORTAGE_COMPRESS_LOCAL} in
+ bzip2|gzip) PORTAGE_COMPRESS_FLAGS_LOCAL="-9"
+ ;;
+ esac
+ fi
+ sed -i -e "s/gzip --best/${PORTAGE_COMPRESS_LOCAL} ${PORTAGE_COMPRESS_FLAGS_LOCAL}/"\
+ po/Makefile.in || die
+ # Fix source files for symlinks
+ case ${PORTAGE_COMPRESS_LOCAL} in
+ bzip2) for LINKSOURCE in "${S}/upstream/"*"/links.txt"
+ do
+ sed -i -e "s/\.gz/\.bz2/g" "$LINKSOURCE" || die
+ done
+ ;;
+ gzip) # pass
+ ;;
+ *) ewarn "Unexpected compression command ${PORTAGE_COMPRESS} found, symlinks will not work."
+ ;;
+ esac
+ eautoreconf
+}
+
+src_compile() { :; }
+
+src_install() {
+ emake mandir="${ED}"/usr/share/man install
+ dodoc CHANGES.md README.md
+}